Bug 144696 - SELinux FAQ - configurable contexts
SELinux FAQ - configurable contexts
Product: Fedora Documentation
Classification: Fedora
Component: selinux-faq (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chad Sellers
Tammy Fox
Depends On:
Blocks: 118757
  Show dependency treegraph
Reported: 2005-01-10 14:12 EST by Karsten Wade
Modified: 2007-04-18 13:18 EDT (History)
0 users

See Also:
Fixed In Version: 1.5.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-28 18:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
IRC log where dwalsh and quaid discuss configurable contexts; walters lends some voice as well (7.52 KB, text/plain)
2006-04-20 18:37 EDT, Karsten Wade
no flags Details

  None (edit)
Description Karsten Wade 2005-01-10 14:12:45 EST
Note for a backport that these are findable in FC3 with 

 grep "^type .*configurable" policy.conf  | cut -d',' -f1 | cut -d' ' -f2

for a rawhide policy or latest shipping.

Will be in fc4 as /etc/selinux/policyname/configurable_contexts.
Comment 1 Karsten Wade 2005-12-27 19:54:37 EST
Reassigning to new FAQ maintainer.
Comment 2 Karsten Wade 2005-12-27 19:55:22 EST
Just evaluate if this information needs to be in the new FAQ, thanks.
Comment 3 Chad Sellers 2006-04-20 15:25:54 EDT
Not sure what configurable_contexts were. Maybe you mean customizable_types,
which are stored in /etc/selinux/policyname/contexts/customizable_types? Was
someone asking where these were stored?
Comment 4 Karsten Wade 2006-04-20 18:12:19 EDT
I completely do not recall the details.  I got a pointer or reference from one
of the Red Hat SELinux team, either in IRC or via mailing list, and put that
there as a note to research further and make it an FAQ reference.

Ah, OK, I found the IRC conversation with Dan Walsh.  I'll create an attachment
of the relevant parts.
Comment 5 Karsten Wade 2006-04-20 18:37:43 EDT
Created attachment 128069 [details]
IRC log where dwalsh and quaid discuss configurable contexts; walters lends some voice as well

dwalsh == dan walsh
quaid == karsten wade
walters == colin walters

Over a two day period in January 2005.
Comment 6 Chad Sellers 2006-04-28 11:59:11 EDT
The conversation continued on list, link here:

The consensus was to call these customizable types in
/etc/selinux/targeted/contexts/customizable_types instead of configurable or the
other options.

I'll add a FAQ for customizable_types
Comment 7 Chad Sellers 2006-04-28 12:51:12 EDT
Addressed in CVS

Note You need to log in before you can comment on or make changes to this bug.